package com.ygtx.worklog.service;

import java.util.List;
import com.ygtx.worklog.domain.WorkProject;

/**
 * 项目管理Service接口
 * 
 * @author ouyj
 * @date 2025-10-27
 */
public interface IWorkProjectService 
{
    /**
     * 查询项目管理
     * 
     * @param projectId 项目管理主键
     * @return 项目管理
     */
    public WorkProject selectWorkProjectByProjectId(Long projectId);

    /**
     * 查询项目管理列表
     * 
     * @param workProject 项目管理
     * @return 项目管理集合
     */
    public List<WorkProject> selectWorkProjectList(WorkProject workProject);

    /**
     * 新增项目管理
     * 
     * @param workProject 项目管理
     * @return 结果
     */
    public int insertWorkProject(WorkProject workProject);

    /**
     * 修改项目管理
     * 
     * @param workProject 项目管理
     * @return 结果
     */
    public int updateWorkProject(WorkProject workProject);

    /**
     * 批量删除项目管理
     * 
     * @param projectIds 需要删除的项目管理主键集合
     * @return 结果
     */
    public int deleteWorkProjectByProjectIds(Long[] projectIds);

    /**
     * 删除项目管理信息
     * 
     * @param projectId 项目管理主键
     * @return 结果
     */
    public int deleteWorkProjectByProjectId(Long projectId);
}
